Rhino7 Rhino.ProjectCurveToMeshMethod in Cycle is much slower then Rhino6

For Each arrPoint In arrPoints
			CountP = CountP - 1
			
			arrPointOff1(0) = arrPoint(0) + Thickness * arrVector(0) 
			arrPointOff1(1) = arrPoint(1) + Thickness * arrVector(1) 
			arrPointOff1(2) = 0
			arrPointOff2(0) = arrPoint(0) - Thickness * arrVector(0) 
			arrPointOff2(1) = arrPoint(1) - Thickness * arrVector(1) 
			arrPointOff2(2) = 0
		
			AddLine = Rhino.AddLine(arrPointOff1, arrPointOff2)
					
            (##Here##)arrResultsPC = Rhino.ProjectCurveToMesh(AddLine, strSurfaces, Array(0, 0, -1))
			Dim arrResultsCP
	Next